#include <iostream>
#include <cmath>

using namespace std;

int zaokruziBroj(float a)
{
    if((a-(int)a)!=0) return trunc(a)+1;
    return a;
}

int main()
{
    float p,q,r;
    long long L, R, br=0;

    cin >> p >> q >> r >> L >> R;

    for(int i=0;i<=100;i++){
        if(zaokruziBroj(i/p)+zaokruziBroj(i/q)+zaokruziBroj(i/r)>i){


            if(i>=L && i<=R){
                br++;
            }

        }
    }
    cout << R-L-br+1 << endl;
    return 0;
}